# Stargate
Stargate is a holistic audio production solution, everything you need to make
music on a computer.  To understand what Stargate is, and why, read the
[project design principles](docs/project_design_principles.md).

# Links
- [Learn Stargate by watching Youtube Videos](
  https://www.youtube.com/channel/UC0xYkPBN3cqMMaTQxc38Rfw)
- [Get the latest Stargate news on Twitter](https://twitter.com/stargatedaw)

# Features
- A digital audio workstation (DAW) with a powerful pattern-based workflow
- A comprehensive suite of built-in instrument and effect plugins
- A basic wave editor
- Broad audio and MIDI hardware support using Portaudio and Portmidi
- Runs on Windows and Linux, x86 and ARM.  Will be ported to Mac OS X (and any
  other platform) if there is sufficient demand
- Everything you need to create music in a single package, no need to install
  additional software
- Lightweight, minimum recommended hardware: Raspberry Pi 4, or a 10 year
  old laptop.
- Support for display resolution from 1366x768 to 4k and above.
- Optional portable flash drive install on Windows

# Building
[See the building instructions](docs/building.md "Building")

# Screenshots
![Sequencer](assets/sequencer.png?raw=true "Sequencer")

![Audio Item](assets/audio_item.png?raw=true "Audio Item")

![Note Item](assets/note_item.png?raw=true "Note Item")

![Routing](assets/routing.png?raw=true "Routing")

